-------------------------------------------------------------------------------
-- DES control block
-- Description: Read and write from data fifos and generate control signals for
-- the datapath. 
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- Libraries
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity control is
  port(
      -- outputs
      shifttwo_s1 : out std_logic;
      loaddata_s1 : out std_logic;
      InFIFO_Rd   : out std_logic;
      OutFIFO_Wr  : out std_logic;
      -- inputs
      InFIFO_Empty : in std_logic;
      OutFIFO_Full : in std_logic;
      Clk          : in std_logic;
      Rst          : in std_logic);
end control;

architecture behav of control is
  
begin

end behav;
